Bug 628062 - (CVE-2010-3679) CVE-2010-3679 MySQL: Use of unassigned memory (valgrind errors / crash) by providing certain values to BINLOG statement (MySQL BZ#54393)
CVE-2010-3679 MySQL: Use of unassigned memory (valgrind errors / crash) by pr...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100907,reported=20100827,sou...
: Security
Depends On: 636780 652553 652554
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-27 14:37 EDT by Jan Lieskovsky
Modified: 2015-08-19 04:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 08:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-08-27 14:37:47 EDT
A use of unassigned memory was found in the way MySQL processed certain values
provided to the BINLOG statement. A remote attacker could use this flaw to
cause denial of service (mysqld daemon crash) in some cases.

References:
  [1] http://secunia.com/advisories/41048/
  [2] http://dev.mysql.com/doc/refman/5.1/en/news-5-1-49.html

Upstream bug report:
  [3] http://bugs.mysql.com/bug.php?id=54393

Upstream changeset:
  [4] http://lists.mysql.com/commits/111591

Note:
The impact of this flaw is further mitigated by the requirement only
privileged user can run the BINLOG statement.
Comment 1 Jan Lieskovsky 2010-08-27 14:41:57 EDT
Public reproducers (from [4]):

BINLOG '';
BINLOG '123';
BINLOG '-2079193929';
BINLOG 'xç↓%~∙D╒ƒ╡';
Comment 3 Jan Lieskovsky 2010-08-28 08:15:41 EDT
This issue did NOT affect the versions of the mysql package, as shipped
with Red Hat Enterprise Linux 3, 4, or 5.

--

This issue affects the versions of the mysql package, as shipped with
Fedora release of 12 and 13.
Comment 5 Jan Lieskovsky 2010-08-31 08:54:44 EDT
CVE Request: http://www.openwall.com/lists/oss-security/2010/08/30/8
Comment 6 Jan Lieskovsky 2010-09-23 05:19:14 EDT
Created mysql tracking bugs for this issue

Affects: fedora-all [bug 636780]
Comment 7 Jan Lieskovsky 2010-09-29 04:40:16 EDT
The CVE identifier of CVE-2010-3679 has been assigned to this issue.
Comment 8 Jan Lieskovsky 2010-09-29 05:55:04 EDT
Statement:

Not vulnerable. This issue did not affect the versions of mysql as
shipped with Red Hat Enterprise Linux 3, 4, or 5.
Comment 10 errata-xmlrpc 2011-01-18 13:43:10 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0164 https://rhn.redhat.com/errata/RHSA-2011-0164.html

Note You need to log in before you can comment on or make changes to this bug.